timeconv.h File Reference
`#include "common.h"`
Include dependency graph for timeconv.h:

Go to the source code of this file.

## Functions

char * | pst_fileTimeToAscii (const FILETIME *filetime, char *result)
| Convert a FILETIME to ascii printable local time. More...
void | pst_fileTimeToStructTM (const FILETIME *filetime, struct tm *result)
| Convert a FILETIME to unix struct tm. More...
time_t | pst_fileTimeToUnixTime (const FILETIME *filetime)
| Convert a FILETIME to unix time_t value. More...
size_t | pst_fileTimeToString (const FILETIME *filetime, const char *date_format, char *result)
| Convert a FILETIME to string in date_format format. More...

## Function Documentation

## pst_fileTimeToAscii()

char* pst_fileTimeToAscii | ( | const FILETIME * | filetime,
|  | char * | result
| ) |  |

Convert a FILETIME to ascii printable local time.

Parameters

  [in] | filetime | time structure to be converted
  [out] | result | pointer to output buffer, must be at least 30 bytes.

Returns
  result pointer to the output buffer

## pst_fileTimeToString()

size_t pst_fileTimeToString | ( | const FILETIME * | filetime,
|  | const char * | date_format,
|  | char * | result
| ) |  |

Convert a FILETIME to string in date_format format.

Parameters

  [in] | filetime | time structure to be converted
  [in] | date_format | string ctime_r format of output date
  [out] | result | pointer to output buffer, must be at least 30 bytes.

Returns
  result size_t value returned by strftime

## pst_fileTimeToStructTM()

void pst_fileTimeToStructTM | ( | const FILETIME * | filetime,
|  | struct tm * | result
| ) |  |

Convert a FILETIME to unix struct tm.

Parameters

  [in] | filetime | time structure to be converted
  [out] | result | pointer to output struct tm

## pst_fileTimeToUnixTime()

time_t pst_fileTimeToUnixTime | ( | const FILETIME * | filetime | ) |

Convert a FILETIME to unix time_t value.

Parameters

  [in] | filetime | time structure to be converted

Returns
  result time_t value